package cn.fw.hestia.domain.db;

import cn.fw.hestia.domain.enums.MessageStateEnum;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;


/**
 * @author : kurisu
 * @className : MessageHistory
 * @description : 消息记录
 * @date: 2021-09-24 16:01
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class MessageHistory extends Model<MessageHistory> {
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 模板code
     */
    private String templateCode;
    /**
     * 消息标题
     */
    private String title;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 关键词参数 （json字符串）
     */
    private String keywords;
    /**
     * 备注
     */
    private String remark;
    /**
     * 小程序页面路径
     */
    private String pagePath;
    /**
     * 小程序页面路径对应参数（json字符串）
     */
    private String pageParams;
    /**
     * 是否已读
     */
    private Boolean readz;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 发送次数
     */
    private Integer frequency;
    /**
     * 发送状态
     */
    private MessageStateEnum state;
    /**
     * 是否有效
     */
    private Boolean yn;
    /**
     * 创建时间
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL, fill = FieldFill.INSERT)
    private Date createTime;
}
