package cn.fw.hestia.server;

import cn.fw.security.auth.client.EnableAuthClient;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.repository.configuration.EnableRedisRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 启动类
 *
 * @author kurisu
 */
@EnableCaching
@EnableAuthClient
@EnableScheduling
@EnableDiscoveryClient
@EnableTransactionManagement
@EnableAutoConfiguration
@Configuration
@EnableRedisRepositories
@MapperScan("cn.fw.**.dao")
@ComponentScan({"cn.fw.hestia.*"})
@EnableFeignClients({"cn.fw.**.sdk"})
public class Application {
    public static void main(final String[] args) {
        SpringApplication.run(Application.class, args);
    }
}
