package cn.fw.hestia.server.controller.common;

import cn.fw.common.web.annotation.ControllerMethod;
import cn.fw.data.base.domain.common.Message;
import cn.fw.hestia.service.buz.MessageCenterBizService;
import cn.fw.security.auth.client.annotation.Authorization;
import cn.fw.security.auth.client.enums.AuthType;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.NotNull;

import static cn.fw.common.web.util.ResultBuilder.success;

/**
 * @author : kurisu
 * @className : MessageCenterController
 * @description :
 * @date: 2021-09-23 15:39
 */
@Slf4j
@Validated
@RestController
@Authorization(AuthType.NONE)
@RequestMapping("/common/message")
public class CommonController {
    private final MessageCenterBizService messageCenterBizService;

    @Autowired
    public CommonController(final MessageCenterBizService messageCenterBizService) {
        this.messageCenterBizService = messageCenterBizService;
    }

    @GetMapping("/send")
    @ControllerMethod("手动发送消息")
    public Message<String> manualSend(@NotNull(message = "sceneToken不能为空") final Long sceneToken) {
        return success(messageCenterBizService.manualSend(sceneToken));
    }

}
