package cn.fw.hestia.component;

import cn.fw.hestia.sdk.result.MessageSendMq;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author kurisu
 */
@Slf4j
@Component
public class SendMsgProducer {
    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    @RequestMapping(value = "send")
    public void send(MessageSendMq messageSendMq) {
        try {
            log.info("模板消息发送成功mq: body:[{}]", messageSendMq);
            rocketMQTemplate.syncSend(MessageSendMq.TOPIC + ":*", messageSendMq);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}